MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029148Open CASCADE[OCCT] PRODUCTS:Advanced samplespublic2017-09-26 19:222017-09-29 17:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029148: C# wrapper, WPF sample - allow using software fallback on .NET 4.5+
Description.NET 4.5 introduced a software fallback option to new overloaded method D3DImage.SetBackBuffer().
It is disabled by default (why???), so that WPF application started in RDP just ever fails to update D3DImage content - which is not nice.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029138closedbugmaster Open CASCADE Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable 

-  Notes
(0070897)
kgv (developer)
2017-09-26 19:50

Patch is ready for review.
(0070925)
abv (manager)
2017-09-27 17:45

Reviewed and rebased on CR27147; please test.
(0070979)
bugmaster (administrator)
2017-09-29 13:31

Fix has been integrated into master of internal occt-products repository

- Issue History
Date Modified Username Field Change
2017-09-26 19:22 kgv New Issue
2017-09-26 19:22 kgv Assigned To => szv
2017-09-26 19:22 kgv Assigned To szv => kgv
2017-09-26 19:22 kgv Status new => assigned
2017-09-26 19:50 kgv Note Added: 0070897
2017-09-26 19:50 kgv Assigned To kgv => abv
2017-09-26 19:50 kgv Status assigned => resolved
2017-09-26 19:52 kgv Relationship added related to 0029138
2017-09-26 19:52 kgv Relationship added related to 0027147
2017-09-26 19:52 kgv Description Updated View Revisions
2017-09-27 10:00 kgv Target Version 7.3.0 => 7.2.0
2017-09-27 17:45 abv Note Added: 0070925
2017-09-27 17:45 abv Assigned To abv => bugmaster
2017-09-27 17:45 abv Status resolved => reviewed
2017-09-28 13:01 bugmaster Test case number => Not required
2017-09-29 13:31 bugmaster Note Added: 0070979
2017-09-29 13:31 bugmaster Status reviewed => verified
2017-09-29 13:31 bugmaster Resolution open => fixed
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker